tcpstat.d(1m)

NAME
tcpstat.d - print TCP statistics. Uses DTrace.

SYNOPSIS
tcpstat.d

DESCRIPTION
tcpstat.d is a DTrace program to print TCP statistics every second, retrieved from the MIB provider. This program can be used to help identify how utilised the network interfaces may be, as well as TCP transmission errors. The TCP statistics are documented in the mib2_tcp struct in /usr/include/inet/mib2.h; and also in the mib provider chapter of the DTrace Guide, found at http://docs.sun.com/db/doc/817-6223. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print statistics every second,
    # tcpstat.d

FIELDS

TCP_out
    TCP bytes sent

TCP_outRe
    TCP bytes retransmitted

TCP_in
    TCP bytes received

TCP_inDup
    TCP bytes received duplicated

TCP_inUn
    TCP bytes received out of order

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
tcpstat.d will run forever until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
nicstat(1M), dtrace(1M)